/**Begin D:\PDM_UPGRADE\PDM1\HRPTMC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPTMC_FILTER') 
 CREATE TABLE T_HRPTMC_FILTER (
FID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FDATESCOPE VARCHAR(20) DEFAULT 'year' NOT NULL,
FHISDATE CHAR(1) DEFAULT '0' NOT NULL,
FFILTERTYPE VARCHAR(2) DEFAULT '0' NOT NULL,
FBASEDATAISMUL CHAR(1) DEFAULT '0' NOT NULL,
FDATETYPE CHAR(1) DEFAULT '0' NOT NULL,
FISMUST CHAR(1) DEFAULT '0' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FRPTMANAGEID BIGINT DEFAULT 0 NOT NULL,
FSUBORG VARCHAR(2) DEFAULT '0' NOT NULL,
FORGLEVEL CHAR(1) DEFAULT '0' NOT NULL,
FHISSCOPE CHAR(1) DEFAULT '1' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FANOBJFIELDID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPTMC_FILTER_L') 
 CREATE TABLE T_HRPTMC_FILTER_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\HRPTMC_table.sql **/
